Bug 196439 - Click on "Run in background" while installing JUnit cause unexpected behavior
Click on "Run in background" while installing JUnit cause unexpected behavior
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Autoupdate
7.0
PC Linux
: P2 (vote)
: 7.0
Assigned To: Jaroslav Tulach
au-issues
: 70_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-08 13:22 UTC by ttokoly
Modified: 2011-03-14 14:41 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ttokoly 2011-03-08 13:22:26 UTC
Product Version: NetBeans IDE Dev (Build 201103080000)
Java: 1.6.0_24; Java HotSpot(TM) Client VM 19.1-b02
System: Linux version 2.6.32-29-generic running on i386; UTF-8; en_US (nb)

1. Run IDE installation
2. DON'T agree with installing JUnit
3. Run IDE
4. Trigger some entry point for installing JUnit - e.g. File | New Project... | Samples | Java | AnagramGame | Next | Finish
5. Reference Problems dialog shows up -> click on Resolve Problems... | Resolve... | Next | Accept license | Install adn click on Run in background

Look like new entry point shows up, but installation was completed fine, project AnagramGame is no more red, but dialog Resolve "junit" Reference Problems remains. In the first place the dialogue should not appear at all.
Comment 1 Jiri Rechtacek 2011-03-08 16:57:21 UTC
The API PluginManager.openInstallWizard() returns false in that case user invoked install_in_background. The caller cannot distinguish if install wizard ends with cancel or with install_in_background.
Comment 2 Jaroslav Tulach 2011-03-10 08:31:57 UTC
Fixed in ergonomics#9217b3b55440 by hiding the "run in background" checkbox. Annoying and easy to fix, candidate for backport to release70 branch.
Comment 3 Tomas Danek 2011-03-10 08:43:48 UTC
agree, once we verify against trunk, fix can go to release70.
Comment 4 Jaroslav Tulach 2011-03-10 13:09:14 UTC
The fix is now available in core-main as well.
Comment 5 Tomas Danek 2011-03-10 13:48:05 UTC
thanks, verified in custom core-main build, in case of JUnit download is "run in background" not visible, in case of installing plugins from UC is visible as usual.

Product Version: NetBeans IDE Dev (Build 110310-ef4214936ec1)
Java: 1.6.0_24; Java HotSpot(TM) 64-Bit Server VM 19.1-b02-334
System: Mac OS X version 10.6.6 running on x86_64; MacRoman; en_US (nb)
Userdir: /tmp/ud1
Comment 6 Quality Engineering 2011-03-11 09:41:21 UTC
Integrated into 'main-golden', will be available in build *201103110400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/9217b3b55440
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #196439: Disable 'run in background' checkbox when invoked via openInstallWizard API
Comment 7 Jaroslav Tulach 2011-03-11 10:25:06 UTC
changeset:   81ee98f0ad53
branch:      release70
user:        Jaroslav Tulach <jtulach@netbeans.org>
date:        Fri Mar 11 11:22:55 2011 +0100
summary:     Merging fix for #196439
Comment 8 Quality Engineering 2011-03-12 09:43:53 UTC
Integrated into 'main-golden', will be available in build *201103120400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/1282977fece8
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: Merge of #196439 to default branch
Comment 9 Tomas Danek 2011-03-14 14:41:35 UTC
verified in release70
Product Version: NetBeans IDE 7.0 RC1 (Build 201103120000)
Java: 1.6.0_24; Java HotSpot(TM) Client VM 19.1-b02
System: Windows XP version 5.1 running on x86; Cp1252; en_US (nb)
Userdir: C:\Documents and Settings\tomas\.netbeans\7.0rc1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo